Subject: Re: git-rerere observations and feature suggestions

From: David Kastrup <[email-masked]>
Date: Mon, 16 Jun 2008 14:38:09 +0200

Theodore Tso <[email-masked]> writes:

> On Mon, Jun 16, 2008 at 01:01:13PM +0200, Ingo Molnar wrote:
>>    ( Also, it's a GPL nitpicky issue: the conflict resolution database 
>>      can be argued to be part of "source code" and as such it should be 
>>      shared with everyone who asks. With trivial merges the data is
>>      probably not copyrightable hence probably falls outside the scope 
>>      of the GPL, but with a complex topic tree like -tip with dozens of 
>>      conflict resolutions, the boundary is perhaps more blurred. )
>
> For a more complex merge resolution, granted that it rises to the
> level of being "copyrightable", but I think it would be a huge stretch
> to call the rr-cache the "preferred form for modifications"!  :-)

The GPL just calls for all "corresponding" source code, not all
"interesting" source code.

-- 
David Kastrup, Kriemhildstr. 15, 44793 Bochum